
#ifndef COMPYSPLINE_STATEMACHINE_H
#define COMPYSPLINE_STATEMACHINE_H

enum CompySplineStateMachineStates
{
	SM_COMPYSPLINESTATES_EXECUTE = SM_GAMESTATES_MAX,
	SM_COMPYSPLINESTATES_GOTSHOT,
	SM_COMPYSPLINESTATES_FREEZE,
	SM_COMPYSPLINESTATES_ELECTRO,
	SM_COMPYSPLINESTATES_MAX,
	NUM_SM_COMPYSPLINESTATES = (SM_COMPYSPLINESTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gCompySplineStateMachineStates[NUM_SM_COMPYSPLINESTATES];
extern PSM_StateMachine gCompySplineStateMachine;

int MakeCompySplineActor(Res* res, char* pbuf, Obj* overrideObj);

int SM_CompySpline_Execute( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_CompySpline_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_CompySpline_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_CompySpline_Electro( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

struct CompySplineData;

#endif


