#ifndef GAME_CREDITS_H_
#define GAME_CREDITS_H_


#include "game.h"


typedef enum CreditsScreenExitState
{
	// screen is still running
	CREDITS_SCREEN_EXIT_NONE,
	// screen finished on its own
	CREDITS_SCREEN_EXIT_TIMEOUT,
	// user quit screen
	CREDITS_SCREEN_EXIT_INPUT,

} CreditsScreenExitState;


void CreditsScreen_Create();
void CreditsScreen_Destroy();
int CreditsScreen_IsRunning();

CreditsScreenExitState CreditsScreen_Update();


#endif