#ifndef GAME_EPILEPSY_WARNING_H_
#define GAME_EPILEPSY_WARNING_H_


#include "game.h"


typedef enum EpilepsyScreenExitState
{
	// screen is still running
	EPILEPSY_SCREEN_EXIT_NONE,
	// screen finished on its own
	EPILEPSY_SCREEN_EXIT_TIMEOUT,

} EpilepsyScreenExitState;


void EpilepsyScreen_Create();
void EpilepsyScreen_Destroy();

EpilepsyScreenExitState EpilepsyScreen_Update();


#endif