// game_player.h
// Play Mechanix - Video Game System
// Copyright (c) 2010 Play Mechanix Inc. All Rights Reserved
//

#ifndef GAME_PLAYER_H
#define GAME_PLAYER_H

#include "game.h"

enum
{
	DAMAGE_PLAYER_1,
	DAMAGE_PLAYER_2,
	DAMAGE_PLAYER_ALL,
	DAMAGE_PLAYER_RAND,
	DAMAGE_PLAYER_MOD
};

void PlayerInitDamageCooldowns();
void PlayerHealthPickup(int player);
void PlayerDebugKillAll();
uns32 Player_PlayHitRumble();
void PlayerDebugTakeDamage(int pnum, float damage);
void PlayerTakeDamage(int player, float damage, int type, DamageType dmgType, void* data, int allowKill);
crd* PlayerGetColor( int pnum );
int PlayerProcessDead();
int PlayerProcessDeadG();
int PlayerFinalBlowTaken();
void PlayerFinalBlowTakenReset();
uns32 PlayerFinalBlowTick();

#endif // GAME_PLAYER_H

