// results screen


#ifndef GAME_RESULTS_H
#define GAME_RESULTS_H


#include "game.h"



//////////////////////////////////////////////////////////////////////////
// results modes
//////////////////////////////////////////////////////////////////////////

#define RESULTS_MODE_END_GAME			0x00000001
#define RESULTS_MODE_MID_GAME			0x00000002
#define RESULTS_MODE_DIAG				0x00000004
#define RESULTS_MODE_PROG_MAP_ONLY		0x00000008



//////////////////////////////////////////////////////////////////////////
// external interface
//////////////////////////////////////////////////////////////////////////

void GameResults_Create( int mode );
int GameResults_IsDone();
uns32 GameResults_GetGroupOID();
uns32 GameResults_GetUpdateFuncOID();

#endif
