#ifndef WASP_SWARM_STATEMACHINE_H
#define WASP_SWARM_STATEMACHINE_H


enum WaspSwarmStateMachineStates
{
	SM_WASPSWARMSTATES_INIT = SM_ENEMYSTATES_MAX,
	SM_WASPSWARMSTATES_WAIT_UNTIL_DONE,

	SM_WASPSWARMSTATES_MAX,
	NUM_SM_WASPSWARMSTATES = (SM_WASPSWARMSTATES_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};


extern PSM_State gWaspSwarmStateMachineStates[NUM_SM_WASPSWARMSTATES];
extern PSM_StateMachine gWaspSwarmStateMachine;


int SM_WaspSwarm_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_WaspSwarm_WaitUntilDone( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );


#endif


