// adj_dump.h
// Copyright 2011 Play Mechanix Inc. All Rights Reserved
//
// JAL 19-MAY-2011: Created functions for dumping adjustment definitions and related info to CSV files
// for use in importing into the CoinUp database.

#ifndef ADJ_DUMP_H
#define ADJ_DUMP_H

enum
{
	ADJ_DISPLAY_DEFAULT,		// int or float if divisor is set
	ADJ_DISPLAY_TIME,
	ADJ_DISPLAY_DATE,
	ADJ_DISPLAY_CURRENCY,
	ADJ_DISPLAY_PERCENTAGE,
	NUM_ADJ_DISPLAY
};

int   DumpAdjustmentGroupsToFile(void);
int   DumpAdjustmentDefsToFile(void);
int   DumpAdjustmentLUTsToFile(void);

int   SQL_DumpAdjustmentGroupsToFile(void);
int   SQL_DumpAdjustmentDefsToFile(void);
int	  SQL_DumpAdjustmentLUTsToFile(void);

#endif	// ADJ_DUMP_H


// EOF

