// fxplane.h
// Copyright 2008 Play Mechanix Inc. All Rights Reserved
//
/*
#ifndef FXPLANE_H
#define FXPLANE_H

#include "pm.h"
#include "obj.h"
#include "res.h"

typedef struct {
	crd pos[3];
	crd radius;
	int oid;
	int count;
} FXPlaneHit;

int fxplane_create(ObjFXPlane **fxobj);
int fxplane_update(ObjFXPlane *ofx);
int fxplane_objectscan(ObjFXPlane *fxobj);
int fxplane_bulletscan(ObjFXPlane *fxobj);
int fxplane_objectcol(ObjFXPlane *fxobj, ObjSkelRes *osr, ObjColRes *ocr, crd *vmIn);
int fxplane_addhit(ObjFXPlane *fxobj, crd *pos, int oid);
int fxplane_clearhits(ObjFXPlane *ofx);
int fxplane_setobj(ObjFXPlane *ofx, int oid);

void fxplane_cbfunc_in(ObjFXPlane *ofx, crd *cpos, int oid);
void fxplane_cbfunc_out(ObjFXPlane *ofx, crd *cpos, int oid);
void fxplane_cbfunc_smallmotion(ObjFXPlane *ofx, crd *cpos, int oid);
void fxplane_cbfunc_bigmotion(ObjFXPlane *ofx, crd *cpos, int oid);
void fxplane_cbfunc_gunhit(ObjFXPlane *ofx, crd *cpos, int oid);

int fxplane_thisisdumb_createwater(void);

int fxplane_bittracker_addoid(int oid);
int fxplane_bittracker_scanoids(ObjFXPlane *fxobj);

#endif

*/


// EOF

