/*

#ifndef PATHS_H
#define PATHS_H
// paths.h
// Copyright 2010 Play Mechanix Inc. All Rights Reserved
//


// see pmrt_ssl/filecrypto.h for list of encryption algs
// we use blowfish b/c it is much faster than AES256 and still very strong
#define FILE_CRYPTO_ALG  CRYPTO_BLOWFISH 
// USE_ENCRYPTED_FILES grants all other encrypted file defines...
#ifdef USE_ENCRYPTED_FILES
	#ifndef USE_ENCRYPTED_CFS
		#define USE_ENCRYPTED_CFS
	#endif
	#ifndef USE_ENCRYPTED_XMLS
		#define USE_ENCRYPTED_XMLS
	#endif
// we don't use encrypted G3s
//	#ifndef USE_ENCRYPTED_G3S
//		#define USE_ENCRYPTED_G3S
//	#endif
	#ifndef USE_ENCRYPTED_SHADERS
		#define USE_ENCRYPTED_SHADERS
	#endif
	#ifndef USE_ENCRYPTED_PROGRAMS
		#define USE_ENCRYPTED_PROGRAMS
	#endif
	#ifndef USE_ENCRYPTED_SM_HEADERS
		#define USE_ENCRYPTED_SM_HEADERS
	#endif
	#ifndef USE_ENCRYPTED_CONFS
		#define USE_ENCRYPTED_CONFS
	#endif
	#ifndef USE_ENCRYPTED_SCENE_FILES
		#define USE_ENCRYPTED_SCENE_FILES
	#endif
	#ifndef USE_ENCRYPTED_TRANSLATIONS
		#define USE_ENCRYPTED_TRANSLATIONS
	#endif
#endif

extern char gGameServerCertFile[128];
extern char gFileServerCertFile[128];

int PathsInit();
void PathsSetPath(char *name, char *path);
char *PathsGetPath(char *name);



#endif // ndef PATHS_H

*/

