// display a message for little a while, then reboot the machine

#ifndef REBOOT_H_
#define REBOOT_H_


// proc name for proc system
#define REBOOT_PROC	"RebootProc"
#define MAINT_REBOOT_PROC	"MaintRebootProc"

// 24 hours in ms
#define GAME_REBOOT_CYCLE_TIME	1000 * 60 * 60 * 24
// 2 minutes in ms
#define GAME_REBOOT_IDLE_TIME	1000 * 60 * 2
// show reboot msg for 5 seconds
#define GAME_REBOOT_MSG_TIME	1000 * 5


int RebootInit();

int RebootProcStart(void* params);
void RebootProcRun();
void RebootProcKill(void* params);

int MaintRebootProcStart(void* params);


#endif