/*
#ifndef SND_H
#define SND_H
// snd.h
// Copyright 2005 Play Mechanix Inc. All Rights Reserved
//
// JFL 25 Apr 05

///////////////////////////////////////////////////////////////////////////////
// JPS

///////////////////////////////////////////////////////////////////////////////
// SYSTEM INDEPENDENT

///////////////////////////////////////////////////////////////////////////////
//

extern int SndInit(int sample_rate, int vol_multiplier);
extern void SndFinal(void);
extern int SndReset(uns reset);
extern int SndLoad(char *s1,char *s2);
extern int SndUnload(char *s1,char *s2);
extern int SndPlay(uns n);
extern int SndPlayVol(uns n,int vol);
extern int SndPlayName(char *name, int vol);
extern int SndPlayNameDist(char *name, crd *pos);
extern int SndPlayNameObjDist(char *name, uns32 oid);
extern int SndPlayByConf(char *name);
extern int SndPlayByConfDist(char *name, void *o, int oid);
extern int SndVolAdjustName(char *name, int vol, float ramp_time);
extern int SndVolAdjustCMask(char *cmask, int vol, float ramp_time);
extern void SndStopAll(void);
extern void SndSetMasterVolScale( float scale );
extern int SndVol(int n);
extern int SndGetVol(void);
extern int SndVolMinMax(int *minp,int *maxp,uns flags);
extern void SndVolOff();
extern int SndInfo(char *buf,int bufSize);
extern int SndReload(void);

enum {
	SNDOP_NONE,
	SNDOP_GETVERS, // char *buf,int bufsize
};
#define M_SNDOP 0xff
extern int SndOp(uns op,...);

#endif // ndef SND_H
*/