#ifndef STR_H
#define STR_H
// str.h
// Copyright 2004 Play Mechanix Inc. All Rights Reserved
//
// JFL 29 Aug 04

///////////////////////////////////////////////////////////////////////////////
// STRINGS

#define SZ_IS_HEX STR_IS_HEX
#define STR_IS_HEX(_s_) (((_s_)[0]=='0')&&(((_s_)[1]=='x')||((_s_)[1]=='X')))

extern char *str_digit;
extern char *str_equal;
#define C_IS_TOKEN(c) ((c>='0'&&c<='9')||(c>='a'&&c<='z')||(c>='A'&&c<='Z')||(c=='_')||(c=='$')||(c=='@')||(c=='.')||(c=='-')||(c=='*')||(c=='?'))
#define C_IS_LABEL(c) ((c>='0'&&c<='9')||(c>='a'&&c<='z')||(c>='A'&&c<='Z')||(c=='_'))
#define C_IS_WHITE(c) (c==' '||c=='\t'||c=='\n'||c=='\r')
#define C_IS_DIGIT(c) (c>='0'&&c<='9')
#define C_IS_NUMBER(c) ((c>='0'&&c<='9')||(c=='-')||(c=='.')
#define C_IS_QUOTE(c) (c=='\"'||c=='\'')
#define C_TO_LOWER(_c_) ((_c_>='A'&&_c_<='Z')?_c_-'A'+'a':_c_)
extern int szlen(char *s1);
extern char* szend(char *s1);
extern int szncpy(char *dst,char *src,int n);
extern int szncpy2(char *dst,char *s1,char *s2,int n);
extern int szncat2(char *dst,char *s1,char *s2,int n);
extern int sz2ncat2(char *dst,char *s1,char *s1x,char *s2,char *s2x,int n);
extern int sz2ncpy(char *dst,char *s1,char *s2,int n);
extern char* szskip(char *src,char *skip);
extern char* szskipto(char *src,char *skipto);
extern char* szskipover(char *src,char *skip);
extern char* szskipwhite(char *src);
extern char* szskiptowhite(char *src);
extern int szcmp(char *s1,char *s2);
extern char* szmid(char *s1,char *s2);
extern char* szchr(char *s1,char *s2,char c);
extern char* szrchr(char *s1,char *s2,char c);
extern int sznicmp(char *s1,char *s2,char *t1,char *t2,int n);
extern int sznfmt(char *dst,int n,char fmt,uns8 *dat);
extern char *szto(char *s1,char *s2,char type,int base,void *dst);
extern int szcmpx(char *s1,char *s2);
extern int sz2cmpx(char *s1,char *s2,char *t1,char *t2);
extern char* szATTok(char *src,char till,char *terms);
extern int sz2map(char *table[],char *str,char *strx);
extern char* szmatok(char *src,char till);
extern int szbuild(char *dst,int n,char *fmt,...);
extern int szbuild_ap(char *dst,int n,char *fmt,void *ap);

extern int szinschar(char *dst, int len, char c, int frequency, int origin ); 


#endif // ndef STR_H
