#ifndef GAME_GUN_GRENADE_H
#define GAME_GUN_GRENADE_H


#include "game.h"


void GunGrenadeSetConfig();

void GunGrenadeInit();

int GunGrenadeUpdate(int pnum);
int GunGrenadeShoot( int input, uns32 state, io_input_analog *ai, io_input_digital *trigger, void *data );

int GunGetGrenadeCount( int player_num );
void GunSetGrenadeCount( int player_num, int count );
void GunChangeGrenadeCount( int player_num, int delta );
int GunGetMaxGrenadeCount();
int GunGetStartGrenadeCount();
// return in the range [0,1]
float GunGrenadeGetRechargeProgress();


#endif