#ifndef LEVEL_SELECT3_H
#define LEVEL_SELECT3_H

enum LevelSelect3MachineStates
{
	SM_LEVEL_SELECT3_RUN = SM_ENEMYSTATES_MAX,
	SM_LEVEL_SELECT3_MAX,
	NUM_SM_LEVEL_SELECT3_STATES = (SM_LEVEL_SELECT3_MAX - SM_ENEMYSTATES_MAX + NUM_SM_ENEMYSTATES),
};

extern PSM_State gLevelSelect3StateMachineStates[NUM_SM_LEVEL_SELECT3_STATES];
extern PSM_StateMachine gLevelSelect3StateMachine;

int LevelSelect3_GetSelectedLevel();
int LevelSelect3_GetSelectedAct();
char* LevelSelect3_GetSelectedLevelTrigger();

int SM_LevelSelect3_Run( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

#endif


