
#ifndef PLACEHOLDER_STATEMACHINE_H
#define PLACEHOLDER_STATEMACHINE_H



enum PlaceholderStateMachineStates
{
	SM_PLACEHOLDERSTATES_INIT = SM_GAMESTATES_MAX,
	SM_PLACEHOLDERSTATES_SNAP_TO_OBJ,
	SM_PLACEHOLDERSTATES_RUN_SPLINE,
	SM_PLACEHOLDERSTATES_SHOT,
	SM_PLACEHOLDERSTATES_MOVE_TO_CAMERA,
	SM_PLACEHOLDERSTATES_DAMAGE_PLAYER,
	SM_PLACEHOLDERSTATES_WAIT_UNTIL_CLOSE,
	SM_PLACEHOLDERSTATES_WAIT_PARAM_TRIGGER,

	SM_PLACEHOLDERSTATES_MAX,
	NUM_SM_PLACEHOLDERSTATES = (SM_PLACEHOLDERSTATES_MAX - SM_GAMESTATES_MAX),
};



extern PSM_State gPlaceholderStateMachineStates[NUM_SM_PLACEHOLDERSTATES];
extern PSM_StateMachine gPlaceholderStateMachine;

int SM_Placeholder_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_SnapToObj( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_RunSpline( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_Shot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_MoveToCamera( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_DamagePlayer( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_WaitUntilClose( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );
int SM_Placeholder_WaitForParamTrigger( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time  );

#endif


