
#ifndef RAPTOR_STATEMACHINE_H
#define RAPTOR_STATEMACHINE_H

enum RaptorStateMachineStates
{
	SM_RAPTORSTATES_INIT = SM_GAMESTATES_MAX,
	SM_RAPTORSTATES_GOTSHOT,
	SM_RAPTORSTATES_FREEZE,
	SM_RAPTORSTATES_ELECTRO,
	SM_RAPTORSTATES_UPDATE,
	SM_RAPTORSTATES_MAX,
	NUM_SM_RAPTORSTATES = (SM_RAPTORSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gRaptorStateMachineStates[NUM_SM_RAPTORSTATES];
extern PSM_StateMachine gRaptorStateMachine;


int SM_Raptor_Init( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Raptor_Update( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Raptor_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Raptor_Freeze( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_Raptor_Electro( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );


enum DiloSpitStateMachineStates
{
	SM_DILOSPITSTATES_GOTSHOT = SM_GAMESTATES_MAX,
	SM_DILOSPITSTATES_MAX,
	NUM_SM_DILOSPITSTATES = (SM_DILOSPITSTATES_MAX - SM_GAMESTATES_MAX),
};
extern PSM_State gDiloSpitStateMachineStates[NUM_SM_DILOSPITSTATES];
extern PSM_StateMachine gDiloSpitStateMachine;
int SM_DiloSpit_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
#endif


