
#ifndef SCREENBUG_STATEMACHINE_H
#define SCREENBUG_STATEMACHINE_H

enum ScreenBugStateMachineStates
{
	SM_SCREENBUGSTATES_EXECUTE = SM_GAMESTATES_MAX,
	SM_SCREENBUGSTATES_GOTSHOT,
	SM_SCREENBUGSTATES_MAX,
	NUM_SM_SCREENBUGSTATES = (SM_SCREENBUGSTATES_MAX - SM_GAMESTATES_MAX),
};

extern PSM_State gScreenBugStateMachineStates[NUM_SM_SCREENBUGSTATES];
extern PSM_StateMachine gScreenBugStateMachine;

int SM_ScreenBug_Execute( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );
int SM_ScreenBug_GotShot( PSM_ExeContext *context, void *statemachine_params, void *state_params, uns32 state_updates, float state_elapsed_time, float *elapsed_time );

int MakeScreenBugs(Res* res, char* pbuf, Obj* overrideObj);

struct ScreenBugData;

#endif


