#ifndef ERROR_MESSAGE_H_
#define ERROR_MESSAGE_H_


#define ERROR_MSG_PROC "ErrorMsgProc"


#define ERRORMSG_RIO_DISCONNECTED		0x0001
#define ERRORMSG_RIO_5V_FUSE			0x0002
#define ERRORMSG_RIO_12V_FUSE			0x0004
#define ERRORMSG_UMC_DISCONNECTED		0x0008
#define ERRORMSG_UMC_FAN				0x0010
#define ERRORMSG_UMC_LOW_PSI			0x0020
#define ERRORMSG_HOLD_FOR_TEST			0x0040

extern uns32 gCurrentErrors;

int ErrorMessage_ProcStart( void *params );
void ErrorMessage_Update();
void ErrorMessage_Destroy();

extern void SetHoldForTestMessage();
extern void ClearHoldForTestMessage();


#endif