#ifndef RENDER_OBJ_H
#define RENDER_OBJ_H


// render_obj.h
// Copyright 2011 Play Mechanix Inc. All Rights Reserved

#include "g5.h"

int ObjRenderGeneral( Res *shader_res, ObjDispRes *o, uns32 renderflags );


int ObjRenderVerts( Res *shader_res, ObjDispRes *o, uns32 renderflags );
int ObjRenderVertsVcolor( Res *shader_res, ObjDispRes *o, uns32 renderflags );
int ObjRenderVertsTexSA( Res *shader_res, ObjDispRes *o, uns32 renderflags );
int ObjRenderVertsTexVcolor( Res *shader_res, ObjDispRes *o, uns32 renderflags );
//int ObjRenderVertsTexVcolorNormals( Res *shader_res, ObjDispRes *o, uns32 renderflags );
//int ObjRenderVertsTexVcolorNormalsTangents( Res *shader_res, ObjDispRes *o, uns32 renderflags );

int ObjRenderFur( Res *shader_res, ObjDispRes *o, uns32 renderflags );
int ObjRenderMultiLayerNormalAndSpecMap( Res *shader_res, ObjDispRes *o, uns32 renderflags );

// render dynamic object velocity; for shader118
int ObjRenderDynVel(Res *shader_res, ObjDispRes *o, uns32 renderflags);

//int ObjRenderVertsVidTexs( Res *shader_res, ObjDispRes *o, uns32 renderflags );


#endif

