// sound_fmod.h
// Raw Thrills - Video Game System
// Copyright (c) 2012 Raw Thrills Inc. All Rights Reserved

#ifndef SOUND_FMOD_H
#define SOUND_FMOD_H

#ifdef USE_FMOD
#include <fmod.h>
#include <fmod_errors.h>

#define SoundPtrType	(FMOD_SOUND*)

#define FMOD_VOL_MAX   1.0f
#define FMOD_VOL_MIN   0.0f

#define FMOD_NUM_VIRTUAL_CHANNELS	1024
#define FMOD_MAYA_UNITS_PER_METER	3.28f

#define FMOD_3D_DIST_MIN	(2.0f * FMOD_MAYA_UNITS_PER_METER)

// SOUNDLIB_PAN_MAX, for converting our volume to FMOD
#define SOUNDLIB_PAN_MAX   255

#endif	// USE_FMOD
#endif	// SOUND_FMOD_H
