#ifndef WATER_H
#define WATER_H
#include "g5.h"

// water.h

typedef struct WaterReflectPlane
{
	float trans[3];
	float rot[3];

} WaterReflectPlane;


int WaterInit();
int WaterFinal();
int WaterReset();
int WaterLoad();
int WaterReload();
int WaterSave( char *water_name );
WaterParams *WaterGetPresetByName( char *name );
WaterParams *WaterGetDefaultPreset();
int WaterSetPresetByName( char *name, WaterParams *wp );
int WaterUpdatePos( WaterParams *wp);

int WaterSetReflectionPlaneRes( char *name );
void WaterSetReflectionPlane( float *trans, float *rot );
WaterReflectPlane *WaterGetReflectionPlane();

#endif // ndef WATER_H
