// workerbee_funcs.h
// Copyright 2010 Play Mechanix Inc. All Rights Reserved
//

#ifndef WORKERBEE_FUNCS_H
#define WORKERBEE_FUNCS_H

#include "g5.h"

typedef struct ObjWindApplyToBatchInput
{
	Obj *o;
	ObjWind *objwind;
	uns32 GameLoopDelta;
} ObjWindApplyToBatchInput;
void ObjWindApplyToBatch(void *in);

typedef struct ObjFlyerApplyToBatchInput
{
	Obj *o;
	ObjFlyer *objflyer;
	uns32 GameLoopDelta;
} ObjFlyerApplyToBatchInput;
void ObjFlyerApplyToBatch(void *in);

typedef struct ObjParticleEmitterUpdateInput
{
	ObjPartEmitter *o;
	uns32 GameLoopDelta;
	int cam_num;
} ObjParticleEmitterUpdateInput;
void ObjParticleEmitterUpdate(void *in);

typedef struct WBGLCGZUpdateInput
{
	ObjGLCGZTex* o;
	uns32 GameLoopDelta;
	int cam_num;
} WBGLCGZUpdateInput;

void WorkerBeeGLCGZAddMovie( ObjGLCGZTex* o );
void WorkerBeeGLCGZStartUpdates();
void WorkerBeeGLCGZUpdate(void *in);



#endif
